linux: 4.3.0-6.17 -proposed tracker

Bug #1532958 reported by Tim Gardner on 2016-01-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Tim Gardner
Prepare-package-meta
Medium
Tim Gardner
Prepare-package-signed
Medium
Tim Gardner
Promote-to-proposed
Medium
Canonical Kernel Team
Promote-to-release
Medium
Ubuntu Package Archive Administrators
linux (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned

Bug Description

This bug is for tracking the 4.3.0-6.17 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Monday, 11. January 2016 21:11 UTC
kernel-stable-Promote-to-proposed-end:Monday, 11. January 2016 22:00 UTC
proposed-announcement-sent:True
kernel-Promote-to-release-end:Tuesday, 19. January 2016 19:00 UTC
kernel-phase-changed:Tuesday, 19. January 2016 20:00 UTC
kernel-Prepare-package-end:Tuesday, 19. January 2016 20:00 UTC
kernel-Package-testing-start:Tuesday, 19. January 2016 20:00 UTC
kernel-phase:Released

CVE References

Tim Gardner (timg-tpi) on 2016-01-11
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: xenial
Changed in kernel-development-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2016-01-11
description: updated
Brad Figg (brad-figg) on 2016-01-11
description: updated

Here's the relevant information:

 xenial linux 4.3.0-6.17 REGR summary<REGN: 3 MISS: 59 REGR: 2 FAIL: 26 GOOD: 97>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Andy Whitcroft (apw) on 2016-01-19
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.3.0-6.17

---------------
linux (4.3.0-6.17) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1532958

  [ Eric Dumazet ]

  * SAUCE: (noup) net: fix IP early demux races
    - LP: #1526946

  [ Guilherme G. Piccoli ]

  * SAUCE: powerpc/eeh: Validate arch in eeh_add_device_early()
    - LP: #1486180

  [ Hui Wang ]

  * [Config] CONFIG_I2C_DESIGNWARE_BAYTRAIL=y, CONFIG_IOSF_MBI=y
    - LP: #1527096

  [ Jann Horn ]

  * ptrace: being capable wrt a process requires mapped uids/gids
    - LP: #1527374

  [ Serge Hallyn ]

  * SAUCE: add a sysctl to disable unprivileged user namespace unsharing

  [ Tim Gardner ]

  * [Config] CONFIG_ZONE_DEVICE=y for amd64
  * [Config] CONFIG_VIRTIO_BLK=y, CONFIG_VIRTIO_NET=y for s390
    - LP: #1532886

  [ Upstream Kernel Changes ]

  * rhashtable: Fix walker list corruption
    - LP: #1526811
  * rhashtable: Kill harmless RCU warning in rhashtable_walk_init
    - LP: #1526811
  * ovl: fix permission checking for setattr
    - LP: #1528904
    - CVE-2015-8660

 -- Tim Gardner <email address hidden> Thu, 17 Dec 2015 05:34:47 -0700

Changed in linux (Ubuntu Xenial):
status: New → Fix Released
Brad Figg (brad-figg) on 2016-01-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers